# Exceptions
class WorkflowException(Exception):
    """Base class for other exceptions"""
    pass


class NoException(WorkflowException):
    """No exception is found"""
    pass


class IntraRoutine(WorkflowException):
    """All variables belong to same routine"""
    pass


class IntraModule(WorkflowException):
    """All variables belong to same module, but no same routine"""


class InterModule(WorkflowException):
    """Variables belong to different modules"""
